<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HSSFClientAnchor (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HSSFClientAnchor (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFClientAnchor.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFChildAnchor.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFColorScaleFormatting.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/HSSFClientAnchor.html"
               target="_top">Frames</a></li>
        <li><a href="HSSFClientAnchor.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.usermodel</div>
    <h2 title="Class HSSFClientAnchor" class="title">Class HSSFClientAnchor</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFAnchor.html"
                       title="class in org.apache.poi.hssf.usermodel">org.apache.poi.hssf.usermodel.HSSFAnchor</a></li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.hssf.usermodel.HSSFClientAnchor</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/ss/usermodel/ChildAnchor.html"
                           title="interface in org.apache.poi.ss.usermodel">ChildAnchor</a>, <a
                            href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                            title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">HSSFClientAnchor</span>
extends <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFAnchor.html"
           title="class in org.apache.poi.hssf.usermodel">HSSFAnchor</a>
implements <a href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
              title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a></pre>
                <div class="block">A client anchor is attached to an excel worksheet. It anchors against a
                    top-left and buttom-right cell.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="nested.classes.inherited.from.class.org.apache.poi.ss.usermodel.ClientAnchor">
                                <!--   -->
                            </a>
                                <h3>Nested classes/interfaces inherited from interface&nbsp;org.apache.poi.ss.usermodel.<a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                        title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a></h3>
                                <code><a href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.AnchorType.html"
                                         title="enum in org.apache.poi.ss.usermodel">ClientAnchor.AnchorType</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html#MAX_COL">MAX_COL</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html#MAX_ROW">MAX_ROW</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.hssf.usermodel.HSSFAnchor">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.hssf.usermodel.<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFAnchor.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFAnchor</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFAnchor.html#Z:Z_isHorizontallyFlipped">_isHorizontallyFlipped</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFAnchor.html#Z:Z_isVerticallyFlipped">_isVerticallyFlipped</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html#HSSFClientAnchor--">HSSFClientAnchor</a></span>()</code>
                                    <div class="block">Creates a new client anchor and defaults all the anchor positions
                                        to 0.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html#HSSFClientAnchor-org.apache.poi.ddf.EscherClientAnchorRecord-">HSSFClientAnchor</a></span>(<a
                                        href="../../../../../org/apache/poi/ddf/EscherClientAnchorRecord.html"
                                        title="class in org.apache.poi.ddf">EscherClientAnchorRecord</a>&nbsp;escherClientAnchorRecord)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html#HSSFClientAnchor-int-int-int-int-short-int-short-int-">HSSFClientAnchor</a></span>(int&nbsp;dx1,
                                    int&nbsp;dy1,
                                    int&nbsp;dx2,
                                    int&nbsp;dy2,
                                    short&nbsp;col1,
                                    int&nbsp;row1,
                                    short&nbsp;col2,
                                    int&nbsp;row2)</code>
                                    <div class="block">Creates a new client anchor and sets the top-left and
                                        bottom-right
                                        coordinates of the anchor.
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html#createEscherAnchor--">createEscherAnchor</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;obj)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>float</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html#getAnchorHeightInPoints-org.apache.poi.hssf.usermodel.HSSFSheet-">getAnchorHeightInPoints</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet)</code>
                                    <div class="block">Calculates the height of a client anchor in points.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.AnchorType.html"
                                        title="enum in org.apache.poi.ss.usermodel">ClientAnchor.AnchorType</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html#getAnchorType--">getAnchorType</a></span>()</code>
                                    <div class="block">Gets the anchor type
                                        Changed from returning an int to an enum in POI 3.14 beta 1.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html#getCol1--">getCol1</a></span>()</code>
                                    <div class="block">Returns the column (0 based) of the first cell, or -1 if there is
                                        no top-left anchor cell.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html#getCol2--">getCol2</a></span>()</code>
                                    <div class="block">Returns the column (0 based) of the second cell, or -1 if there
                                        is no bottom-right anchor cell.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html#getDx1--">getDx1</a></span>()</code>
                                    <div class="block">Returns the x coordinate within the first cell.</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html#getDx2--">getDx2</a></span>()</code>
                                    <div class="block">Returns the x coordinate within the second cell

                                        Note - XSSF and HSSF have a slightly different coordinate
                                        system, values in XSSF are larger by a factor of
                                        <a href="../../../../../org/apache/poi/util/Units.html#EMU_PER_PIXEL"><code>Units.EMU_PER_PIXEL</code></a>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html#getDy1--">getDy1</a></span>()</code>
                                    <div class="block">Returns the y coordinate within the first cell

                                        Note - XSSF and HSSF have a slightly different coordinate
                                        system, values in XSSF are larger by a factor of
                                        <a href="../../../../../org/apache/poi/util/Units.html#EMU_PER_PIXEL"><code>Units.EMU_PER_PIXEL</code></a>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html#getDy2--">getDy2</a></span>()</code>
                                    <div class="block">Sets the y coordinate within the second cell

                                        Note - XSSF and HSSF have a slightly different coordinate
                                        system, values in XSSF are larger by a factor of
                                        <a href="../../../../../org/apache/poi/util/Units.html#EMU_PER_PIXEL"><code>Units.EMU_PER_PIXEL</code></a>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                        title="class in org.apache.poi.ddf">EscherRecord</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html#getEscherAnchor--">getEscherAnchor</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html#getRow1--">getRow1</a></span>()</code>
                                    <div class="block">Returns the row (0 based) of the first cell, or -1 if there is no
                                        bottom-right anchor cell.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html#getRow2--">getRow2</a></span>()</code>
                                    <div class="block">Returns the row (0 based) of the second cell, or -1 if there is
                                        no bottom-right anchor cell.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html#hashCode--">hashCode</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html#isHorizontallyFlipped--">isHorizontallyFlipped</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html#isVerticallyFlipped--">isVerticallyFlipped</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html#setAnchor-short-int-int-int-short-int-int-int-">setAnchor</a></span>(short&nbsp;col1,
                                    int&nbsp;row1,
                                    int&nbsp;x1,
                                    int&nbsp;y1,
                                    short&nbsp;col2,
                                    int&nbsp;row2,
                                    int&nbsp;x2,
                                    int&nbsp;y2)</code>
                                    <div class="block">Sets the top-left and bottom-right coordinates of
                                        the anchor.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html#setAnchorType-org.apache.poi.ss.usermodel.ClientAnchor.AnchorType-">setAnchorType</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.AnchorType.html"
                                        title="enum in org.apache.poi.ss.usermodel">ClientAnchor.AnchorType</a>&nbsp;anchorType)</code>
                                    <div class="block">Sets the anchor type</div>
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html#setCol1-int-">setCol1</a></span>(int&nbsp;col1)</code>
                                    <div class="block">Sets the column (0 based) of the first cell.</div>
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html#setCol1-short-">setCol1</a></span>(short&nbsp;col1)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html#setCol2-int-">setCol2</a></span>(int&nbsp;col2)</code>
                                    <div class="block">Returns the column (0 based) of the second cell.</div>
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html#setCol2-short-">setCol2</a></span>(short&nbsp;col2)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html#setDx1-int-">setDx1</a></span>(int&nbsp;dx1)</code>
                                    <div class="block">Sets the x coordinate within the first cell

                                        Note - XSSF and HSSF have a slightly different coordinate
                                        system, values in XSSF are larger by a factor of
                                        <a href="../../../../../org/apache/poi/util/Units.html#EMU_PER_PIXEL"><code>Units.EMU_PER_PIXEL</code></a>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html#setDx2-int-">setDx2</a></span>(int&nbsp;dx2)</code>
                                    <div class="block">Sets the x coordinate within the second cell

                                        Note - XSSF and HSSF have a slightly different coordinate
                                        system, values in XSSF are larger by a factor of
                                        <a href="../../../../../org/apache/poi/util/Units.html#EMU_PER_PIXEL"><code>Units.EMU_PER_PIXEL</code></a>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i24" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html#setDy1-int-">setDy1</a></span>(int&nbsp;dy1)</code>
                                    <div class="block">Sets the y coordinate within the first cell

                                        Note - XSSF and HSSF have a slightly different coordinate
                                        system, values in XSSF are larger by a factor of
                                        <a href="../../../../../org/apache/poi/util/Units.html#EMU_PER_PIXEL"><code>Units.EMU_PER_PIXEL</code></a>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i25" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html#setDy2-int-">setDy2</a></span>(int&nbsp;dy2)</code>
                                    <div class="block">Sets the y coordinate within the second cell

                                        Note - XSSF and HSSF have a slightly different coordinate
                                        system, values in XSSF are larger by a factor of
                                        <a href="../../../../../org/apache/poi/util/Units.html#EMU_PER_PIXEL"><code>Units.EMU_PER_PIXEL</code></a>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i26" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html#setRow1-int-">setRow1</a></span>(int&nbsp;row1)</code>
                                    <div class="block">Returns the row (0 based) of the first cell.</div>
                                </td>
                            </tr>
                            <tr id="i27" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html#setRow2-int-">setRow2</a></span>(int&nbsp;row2)</code>
                                    <div class="block">Returns the row (0 based) of the first cell.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hssf.usermodel.HSSFAnchor">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hssf.usermodel.<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFAnchor.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFAnchor</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFAnchor.html#createAnchorFromEscher-org.apache.poi.ddf.EscherContainerRecord-">createAnchorFromEscher</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait</code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="MAX_COL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>MAX_COL</h4>
                                <pre>public static final&nbsp;int MAX_COL</pre>
                            </li>
                        </ul>
                        <a name="MAX_ROW">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>MAX_ROW</h4>
                                <pre>public static final&nbsp;int MAX_ROW</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="HSSFClientAnchor-org.apache.poi.ddf.EscherClientAnchorRecord-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HSSFClientAnchor</h4>
                                <pre>public&nbsp;HSSFClientAnchor(<a
                                        href="../../../../../org/apache/poi/ddf/EscherClientAnchorRecord.html"
                                        title="class in org.apache.poi.ddf">EscherClientAnchorRecord</a>&nbsp;escherClientAnchorRecord)</pre>
                            </li>
                        </ul>
                        <a name="HSSFClientAnchor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HSSFClientAnchor</h4>
                                <pre>public&nbsp;HSSFClientAnchor()</pre>
                                <div class="block">Creates a new client anchor and defaults all the anchor positions to
                                    0.
                                </div>
                            </li>
                        </ul>
                        <a name="HSSFClientAnchor-int-int-int-int-short-int-short-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>HSSFClientAnchor</h4>
                                <pre>public&nbsp;HSSFClientAnchor(int&nbsp;dx1,
                        int&nbsp;dy1,
                        int&nbsp;dx2,
                        int&nbsp;dy2,
                        short&nbsp;col1,
                        int&nbsp;row1,
                        short&nbsp;col2,
                        int&nbsp;row2)</pre>
                                <div class="block">Creates a new client anchor and sets the top-left and bottom-right
                                    coordinates of the anchor.

                                    Note: Microsoft Excel seems to sometimes disallow
                                    higher y1 than y2 or higher x1 than x2, you might need to
                                    reverse them and draw shapes vertically or horizontally flipped!
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>dx1</code> - the x coordinate within the first cell.</dd>
                                    <dd><code>dy1</code> - the y coordinate within the first cell.</dd>
                                    <dd><code>dx2</code> - the x coordinate within the second cell.</dd>
                                    <dd><code>dy2</code> - the y coordinate within the second cell.</dd>
                                    <dd><code>col1</code> - the column (0 based) of the first cell.</dd>
                                    <dd><code>row1</code> - the row (0 based) of the first cell.</dd>
                                    <dd><code>col2</code> - the column (0 based) of the second cell.</dd>
                                    <dd><code>row2</code> - the row (0 based) of the second cell.</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getAnchorHeightInPoints-org.apache.poi.hssf.usermodel.HSSFSheet-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAnchorHeightInPoints</h4>
                                <pre>public&nbsp;float&nbsp;getAnchorHeightInPoints(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet)</pre>
                                <div class="block">Calculates the height of a client anchor in points.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>sheet</code> - the sheet the anchor will be attached to</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the shape height.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCol1--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCol1</h4>
                                <pre>public&nbsp;short&nbsp;getCol1()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#getCol1--">ClientAnchor</a></code></span>
                                </div>
                                <div class="block">Returns the column (0 based) of the first cell, or -1 if there is no
                                    top-left anchor cell.
                                    This is the case for absolute positioning <a
                                            href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.AnchorType.html#MOVE_AND_RESIZE"><code>ClientAnchor.AnchorType.MOVE_AND_RESIZE</code></a>
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#getCol1--">getCol1</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                                title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the column(0 based) of the first cell.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setCol1-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCol1</h4>
                                <pre>public&nbsp;void&nbsp;setCol1(short&nbsp;col1)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>col1</code> - the column(0 based) of the first cell.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setCol1-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCol1</h4>
                                <pre>public&nbsp;void&nbsp;setCol1(int&nbsp;col1)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#setCol1-int-">ClientAnchor</a></code></span>
                                </div>
                                <div class="block">Sets the column (0 based) of the first cell.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#setCol1-int-">setCol1</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                                title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>col1</code> - 0-based column of the first cell.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCol2--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCol2</h4>
                                <pre>public&nbsp;short&nbsp;getCol2()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#getCol2--">ClientAnchor</a></code></span>
                                </div>
                                <div class="block">Returns the column (0 based) of the second cell, or -1 if there is no
                                    bottom-right anchor cell.
                                    This is the case for absolute positioning (<a
                                            href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.AnchorType.html#DONT_MOVE_AND_RESIZE"><code>ClientAnchor.AnchorType.DONT_MOVE_AND_RESIZE</code></a>)
                                    and absolute sizing (<a
                                            href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.AnchorType.html#MOVE_DONT_RESIZE"><code>ClientAnchor.AnchorType.MOVE_DONT_RESIZE</code></a>.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#getCol2--">getCol2</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                                title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the column(0 based) of the first cell.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setCol2-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCol2</h4>
                                <pre>public&nbsp;void&nbsp;setCol2(short&nbsp;col2)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>col2</code> - the column(0 based) of the second cell.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setCol2-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCol2</h4>
                                <pre>public&nbsp;void&nbsp;setCol2(int&nbsp;col2)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#setCol2-int-">ClientAnchor</a></code></span>
                                </div>
                                <div class="block">Returns the column (0 based) of the second cell.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#setCol2-int-">setCol2</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                                title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>col2</code> - the column(0 based) of the second cell.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRow1--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRow1</h4>
                                <pre>public&nbsp;int&nbsp;getRow1()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#getRow1--">ClientAnchor</a></code></span>
                                </div>
                                <div class="block">Returns the row (0 based) of the first cell, or -1 if there is no
                                    bottom-right anchor cell.
                                    This is the case for absolute positioning (<a
                                            href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.AnchorType.html#DONT_MOVE_AND_RESIZE"><code>ClientAnchor.AnchorType.DONT_MOVE_AND_RESIZE</code></a>).
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#getRow1--">getRow1</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                                title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the row(0 based) of the first cell.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setRow1-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setRow1</h4>
                                <pre>public&nbsp;void&nbsp;setRow1(int&nbsp;row1)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#setRow1-int-">ClientAnchor</a></code></span>
                                </div>
                                <div class="block">Returns the row (0 based) of the first cell.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#setRow1-int-">setRow1</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                                title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>row1</code> - 0-based row of the first cell.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRow2--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRow2</h4>
                                <pre>public&nbsp;int&nbsp;getRow2()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#getRow2--">ClientAnchor</a></code></span>
                                </div>
                                <div class="block">Returns the row (0 based) of the second cell, or -1 if there is no
                                    bottom-right anchor cell.
                                    This is the case for absolute positioning (<a
                                            href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.AnchorType.html#DONT_MOVE_AND_RESIZE"><code>ClientAnchor.AnchorType.DONT_MOVE_AND_RESIZE</code></a>)
                                    and absolute sizing (<a
                                            href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.AnchorType.html#MOVE_DONT_RESIZE"><code>ClientAnchor.AnchorType.MOVE_DONT_RESIZE</code></a>.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#getRow2--">getRow2</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                                title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the row(0 based) of the second cell.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setRow2-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setRow2</h4>
                                <pre>public&nbsp;void&nbsp;setRow2(int&nbsp;row2)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#setRow2-int-">ClientAnchor</a></code></span>
                                </div>
                                <div class="block">Returns the row (0 based) of the first cell.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#setRow2-int-">setRow2</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                                title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>row2</code> - the row(0 based) of the second cell.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setAnchor-short-int-int-int-short-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setAnchor</h4>
                                <pre>public&nbsp;void&nbsp;setAnchor(short&nbsp;col1,
                      int&nbsp;row1,
                      int&nbsp;x1,
                      int&nbsp;y1,
                      short&nbsp;col2,
                      int&nbsp;row2,
                      int&nbsp;x2,
                      int&nbsp;y2)</pre>
                                <div class="block">Sets the top-left and bottom-right coordinates of
                                    the anchor.

                                    Note: Microsoft Excel seems to sometimes disallow
                                    higher y1 than y2 or higher x1 than x2, you might need to
                                    reverse them and draw shapes vertically or horizontally flipped!
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>x1</code> - the x coordinate within the first cell.</dd>
                                    <dd><code>y1</code> - the y coordinate within the first cell.</dd>
                                    <dd><code>x2</code> - the x coordinate within the second cell.</dd>
                                    <dd><code>y2</code> - the y coordinate within the second cell.</dd>
                                    <dd><code>col1</code> - the column (0 based) of the first cell.</dd>
                                    <dd><code>row1</code> - the row (0 based) of the first cell.</dd>
                                    <dd><code>col2</code> - the column (0 based) of the second cell.</dd>
                                    <dd><code>row2</code> - the row (0 based) of the second cell.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isHorizontallyFlipped--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isHorizontallyFlipped</h4>
                                <pre>public&nbsp;boolean&nbsp;isHorizontallyFlipped()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFAnchor.html#isHorizontallyFlipped--">isHorizontallyFlipped</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/usermodel/HSSFAnchor.html"
                                                title="class in org.apache.poi.hssf.usermodel">HSSFAnchor</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>whether this shape is horizontally flipped</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isVerticallyFlipped--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isVerticallyFlipped</h4>
                                <pre>public&nbsp;boolean&nbsp;isVerticallyFlipped()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFAnchor.html#isVerticallyFlipped--">isVerticallyFlipped</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/usermodel/HSSFAnchor.html"
                                                title="class in org.apache.poi.hssf.usermodel">HSSFAnchor</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>whether this shape is vertically flipped</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getEscherAnchor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEscherAnchor</h4>
                                <pre>protected&nbsp;<a href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                                       title="class in org.apache.poi.ddf">EscherRecord</a>&nbsp;getEscherAnchor()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFAnchor.html#getEscherAnchor--">getEscherAnchor</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/usermodel/HSSFAnchor.html"
                                                title="class in org.apache.poi.hssf.usermodel">HSSFAnchor</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createEscherAnchor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createEscherAnchor</h4>
                                <pre>protected&nbsp;void&nbsp;createEscherAnchor()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFAnchor.html#createEscherAnchor--">createEscherAnchor</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/usermodel/HSSFAnchor.html"
                                                title="class in org.apache.poi.hssf.usermodel">HSSFAnchor</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getAnchorType--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAnchorType</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.AnchorType.html"
                                        title="enum in org.apache.poi.ss.usermodel">ClientAnchor.AnchorType</a>&nbsp;getAnchorType()</pre>
                                <div class="block">Gets the anchor type
                                    Changed from returning an int to an enum in POI 3.14 beta 1.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#getAnchorType--">getAnchorType</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                                title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the anchor type</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setAnchorType-org.apache.poi.ss.usermodel.ClientAnchor.AnchorType-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setAnchorType</h4>
                                <pre>public&nbsp;void&nbsp;setAnchorType(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.AnchorType.html"
                                        title="enum in org.apache.poi.ss.usermodel">ClientAnchor.AnchorType</a>&nbsp;anchorType)</pre>
                                <div class="block">Sets the anchor type</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#setAnchorType-org.apache.poi.ss.usermodel.ClientAnchor.AnchorType-">setAnchorType</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                                title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>anchorType</code> - the anchor type to set</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.14</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="equals-java.lang.Object-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>equals</h4>
                                <pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;obj)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>equals</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="hashCode--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>hashCode</h4>
                                <pre>public&nbsp;int&nbsp;hashCode()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>hashCode</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getDx1--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDx1</h4>
                                <pre>public&nbsp;int&nbsp;getDx1()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#getDx1--">ClientAnchor</a></code></span>
                                </div>
                                <div class="block">Returns the x coordinate within the first cell.

                                    Note - XSSF and HSSF have a slightly different coordinate
                                    system, values in XSSF are larger by a factor of
                                    <a href="../../../../../org/apache/poi/util/Units.html#EMU_PER_PIXEL"><code>Units.EMU_PER_PIXEL</code></a>
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ChildAnchor.html#getDx1--">getDx1</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ChildAnchor.html"
                                                title="interface in org.apache.poi.ss.usermodel">ChildAnchor</a></code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#getDx1--">getDx1</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                                title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the x coordinate within the first cell</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setDx1-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setDx1</h4>
                                <pre>public&nbsp;void&nbsp;setDx1(int&nbsp;dx1)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#setDx1-int-">ClientAnchor</a></code></span>
                                </div>
                                <div class="block">Sets the x coordinate within the first cell

                                    Note - XSSF and HSSF have a slightly different coordinate
                                    system, values in XSSF are larger by a factor of
                                    <a href="../../../../../org/apache/poi/util/Units.html#EMU_PER_PIXEL"><code>Units.EMU_PER_PIXEL</code></a>
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ChildAnchor.html#setDx1-int-">setDx1</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ChildAnchor.html"
                                                title="interface in org.apache.poi.ss.usermodel">ChildAnchor</a></code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#setDx1-int-">setDx1</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                                title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>dx1</code> - the x coordinate within the first cell</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getDy1--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDy1</h4>
                                <pre>public&nbsp;int&nbsp;getDy1()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#getDy1--">ClientAnchor</a></code></span>
                                </div>
                                <div class="block">Returns the y coordinate within the first cell

                                    Note - XSSF and HSSF have a slightly different coordinate
                                    system, values in XSSF are larger by a factor of
                                    <a href="../../../../../org/apache/poi/util/Units.html#EMU_PER_PIXEL"><code>Units.EMU_PER_PIXEL</code></a>
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ChildAnchor.html#getDy1--">getDy1</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ChildAnchor.html"
                                                title="interface in org.apache.poi.ss.usermodel">ChildAnchor</a></code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#getDy1--">getDy1</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                                title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the y coordinate within the first cell</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setDy1-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setDy1</h4>
                                <pre>public&nbsp;void&nbsp;setDy1(int&nbsp;dy1)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#setDy1-int-">ClientAnchor</a></code></span>
                                </div>
                                <div class="block">Sets the y coordinate within the first cell

                                    Note - XSSF and HSSF have a slightly different coordinate
                                    system, values in XSSF are larger by a factor of
                                    <a href="../../../../../org/apache/poi/util/Units.html#EMU_PER_PIXEL"><code>Units.EMU_PER_PIXEL</code></a>
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ChildAnchor.html#setDy1-int-">setDy1</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ChildAnchor.html"
                                                title="interface in org.apache.poi.ss.usermodel">ChildAnchor</a></code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#setDy1-int-">setDy1</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                                title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>dy1</code> - the y coordinate within the first cell</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getDy2--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDy2</h4>
                                <pre>public&nbsp;int&nbsp;getDy2()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#getDy2--">ClientAnchor</a></code></span>
                                </div>
                                <div class="block">Sets the y coordinate within the second cell

                                    Note - XSSF and HSSF have a slightly different coordinate
                                    system, values in XSSF are larger by a factor of
                                    <a href="../../../../../org/apache/poi/util/Units.html#EMU_PER_PIXEL"><code>Units.EMU_PER_PIXEL</code></a>
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ChildAnchor.html#getDy2--">getDy2</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ChildAnchor.html"
                                                title="interface in org.apache.poi.ss.usermodel">ChildAnchor</a></code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#getDy2--">getDy2</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                                title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the y coordinate within the second cell</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setDy2-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setDy2</h4>
                                <pre>public&nbsp;void&nbsp;setDy2(int&nbsp;dy2)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#setDy2-int-">ClientAnchor</a></code></span>
                                </div>
                                <div class="block">Sets the y coordinate within the second cell

                                    Note - XSSF and HSSF have a slightly different coordinate
                                    system, values in XSSF are larger by a factor of
                                    <a href="../../../../../org/apache/poi/util/Units.html#EMU_PER_PIXEL"><code>Units.EMU_PER_PIXEL</code></a>
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ChildAnchor.html#setDy2-int-">setDy2</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ChildAnchor.html"
                                                title="interface in org.apache.poi.ss.usermodel">ChildAnchor</a></code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#setDy2-int-">setDy2</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                                title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>dy2</code> - the y coordinate within the second cell</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getDx2--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDx2</h4>
                                <pre>public&nbsp;int&nbsp;getDx2()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#getDx2--">ClientAnchor</a></code></span>
                                </div>
                                <div class="block">Returns the x coordinate within the second cell

                                    Note - XSSF and HSSF have a slightly different coordinate
                                    system, values in XSSF are larger by a factor of
                                    <a href="../../../../../org/apache/poi/util/Units.html#EMU_PER_PIXEL"><code>Units.EMU_PER_PIXEL</code></a>
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ChildAnchor.html#getDx2--">getDx2</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ChildAnchor.html"
                                                title="interface in org.apache.poi.ss.usermodel">ChildAnchor</a></code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#getDx2--">getDx2</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                                title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the x coordinate within the second cell</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setDx2-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setDx2</h4>
                                <pre>public&nbsp;void&nbsp;setDx2(int&nbsp;dx2)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#setDx2-int-">ClientAnchor</a></code></span>
                                </div>
                                <div class="block">Sets the x coordinate within the second cell

                                    Note - XSSF and HSSF have a slightly different coordinate
                                    system, values in XSSF are larger by a factor of
                                    <a href="../../../../../org/apache/poi/util/Units.html#EMU_PER_PIXEL"><code>Units.EMU_PER_PIXEL</code></a>
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ChildAnchor.html#setDx2-int-">setDx2</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ChildAnchor.html"
                                                title="interface in org.apache.poi.ss.usermodel">ChildAnchor</a></code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html#setDx2-int-">setDx2</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                                title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>dx2</code> - the x coordinate within the second cell</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFClientAnchor.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFChildAnchor.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFColorScaleFormatting.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/HSSFClientAnchor.html"
               target="_top">Frames</a></li>
        <li><a href="HSSFClientAnchor.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
